#pragma once
#include "RMOD_K_Formula_Opti.h"
#include "FormulaDefines.h"
#include "MF5p2.h"
#include <vcclr.h>

	using namespace System;
	using namespace System::ComponentModel;
	using namespace System::Collections;
	using namespace System::Windows::Forms;
	using namespace System::Data;
	using namespace System::Drawing;

ref class CFormulaGUIData
{
public:
	CFormulaGUIData(void);

   CRMOD_K_Formula_Opti *MyRun;
	CMF5p2               *MyMF;

	static array<String^> ^strarray  = gcnew array<String^>(NMODELPARAMETER+1);
  
	void set_Nmodelparameter (int ivalue) { Nmodelparameter = ivalue;}

	String ^File1;
	String ^File2;
	String ^File3;
	String ^File4;
	String ^Optipath;
	String ^OptiMethodFile;
	String ^JobTitle;
	String ^MFName;

	double *design,*newinput,*baseinput;
	double target;
	int    ValuesLoaded,DataLoaded,Nmodelparameter,version;

	void Evaluate();
	void EvaluateAll();
	void LoadData(int mode);
	void GetData();
	bool LoadOptiMethod();
	void LoadParameter();
	void LoadMFData();
	void SaveParameter();
	void ReReadParameter();
	bool SaveGraphis();

	String ^ConvertCharToString(char *charstring);
	void ConvertStringToChar   (String ^s, char *charstring);
};


